=== debian/changelog ===
ros-noetic-socketcan-bridge (0.8.5-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.4-1buster) buster; urgency=high

  * pass settings from ROS node to SocketCANInterface
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 21 Aug 2020 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.3-1buster) buster; urgency=high

  * add includes to <memory>
  * Bump CMake version to avoid CMP0048 warning
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Mathias Lüdtke, ahcorde

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 06 May 2020 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.2-1buster) buster; urgency=high

  * fix roslint errors in socketcan_bridge
  * run roslint as part of run_tests
  * enable rosconsole_bridge bindings
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 03 Nov 2019 23:00:00 -0000

ros-noetic-socketcan-bridge (0.8.1-1buster) buster; urgency=high

  * Added configurable queue sizes
  * Set C++ standard to c++14
  * implemented create*ListenerM helpers
  * Replacing FastDelegate with std::function and std::bind.
  * Contributors: Harsh Deshpande, JeremyZoss, Joshua Whitley, Mathias Lüdtke, rchristopher

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 13 Jul 2019 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.0-1buster) buster; urgency=high

  * keep NodeHandle alive in socketcan_bridge tests
  * migrated to std::function and std::bind
  * migrated to std pointers
  * compare can_msgs::Frame and can::Frame properly
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 10 Jul 2018 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.8-1buster) buster; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.7-1buster) buster; urgency=high

  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * address catkin_lint errors/warnings
  * protect tests from accessing front() or back() of empty list
  * added checkMaskFilter for socketcan_bridge
  * remove isValid work-around
  * added unit test for can id pass filter
  * add CAN filter to socketcan_bridge nodes
  * Contributors: Benjamin Maidel, Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.6-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.5-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.4-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.3-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.2-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.1-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-noetic-socketcan-bridge (0.7.0-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-socketcan-bridge (0.6.5-1buster) buster; urgency=high

  * hamonized versions
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * Removes gtest from test dependencies.
    This dependency is covered by the rosunit dependency.
  * Removes dependency on Boost, adds rosunit dependency.
    The dependency on Boost was unnecessary, rosunit is required for gtest.
  * Improves StateInterface implementation of the DummyInterface.
    The doesLoopBack() method now returns the correct value. A state change is
    correctly dispatched when the init() method is called.
  * Changes the exit code of the nodes if device init fails.
    Now exits with 1 if the initialization of the can device fails.
  * Changes the frame field for the published messages.
    An empty frame name is more commonly used to denote that there is no frame
    associated with the message.
  * Changes return type of setup() method.
    Setup() calls the CreateMsgListener and CreateStateListener, it does not attempt
    to verify if the interface is ready, which makes void more applicable.
  * Cleanup, fixes and improvements in CmakeLists.
    Adds the REQUIRED COMPONENTS packages to the CATKIN_DEPENDS.
    Improves add_dependency on the messages to be built.
    Removes unnecessary FILES_MATCHING.
    Moves the roslint_cpp macro to the testing block.
  * Finalizes work on the socketcan_bridge and can_msgs.
    Readies the packages socketcan_bridge and can_msgs for the merge with ros_canopen.
    Bumps the version for both packages to 0.1.0. Final cleanup in CMakeLists, added
    comments to the shell script and launchfile used for testing.
  * Adds tests for socketcan_bridge and bugfixes.
    Uses rostests and the modified DummyInterface to test whether behaviour
    is correct. Prevented possible crashes when can::tostring was called on
    invalid frames.
  * Adds conversion test between msg and SocketCAN Frame.
    This test only covers the conversion between the can_msgs::Frame message and can::Frame from SocketCAN.
  * Introduces topic_to_socketcan and the bridge.

