=== debian/control ===
Source: ros-noetic-socketcan-bridge
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-can-msgs, ros-noetic-catkin, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rostest, ros-noetic-rosunit, ros-noetic-socketcan-interface
Homepage: http://wiki.ros.org/socketcan_bridge
Standards-Version: 3.9.2

Package: ros-noetic-socketcan-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-can-msgs, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-socketcan-interface
Description: Conversion nodes for messages from SocketCAN to a ROS Topic and vice versa.
